package com.tutego.insel.inner;

@SuppressWarnings("unused")
public class FunInside
{
  public static void main( String[] args )
  {
    int i = 2;
    final int j = 3;
    
    class In
    {
      In() {
        System.out.println( j );
        //        System.out.println( i );    // Fehler
      }
    }
    new In();
  }

//  public static void main2( String args[] )
//  {
//    int i = 2;
//    final int j = 3;
//    
//    new Object() {
//      void schnell() {
//        System.out.println( j );
//      }
//    };
//  }
}
